//CUIMsgShop - [2020-04-13 11:57:47]
#ifndef _CUIMSGSHOP_H_
#define _CUIMSGSHOP_H_

#include "CMessageBox.h"

/*
00136304 CUIMsgShop::CUIMsgShop(bool)
00136348 CUIMsgShop::Render()
00136464 CUIMsgShop::Init(EMessageBoxType,wchar_t const*,wchar_t *,int,int,int,int,bool,bool,bool,CMessageBoxHandler_func,void *)
001369F0 CUIMsgShop::Exit()
00136A50 CUIMsgShop::Process()
*/

class CUIMsgShop : public CMessageBox {
public:
  CUIMsgShop(bool);  //00136304
  virtual void Init(EMessageBoxType,
                    wchar_t const *,
                    wchar_t *,
                    int,
                    int,
                    int,
                    int,
                    bool,
                    bool,
                    bool,
                    CMessageBoxHandler_func,
                    void *);  //00136464
  virtual int Process();      //00136A50
  virtual void Render();      //00136348
  virtual void Exit();        //001369F0
};

#endif  //_CUIMSGSHOP_H_